<?php
declare( strict_types=1 );

namespace FiboFilters\Shortcodes;

/**
 * FiboFiltersPagination class
 */
class FiboFiltersPagination {

	/** @var string Shortcode tag. */
	private $tag = 'fibofilters_pagination';

	public function init(): void {
		add_shortcode( $this->tag, [ $this, 'render' ] );
	}

	/**
	 * Render a FiboFilters shortcode.
	 *
	 * @param mixed  $atts List of user attributes.
	 * @param string $content User content. We don't use it.
	 * @param string $tag Shortcode tag.
	 */
	public function render( $atts, string $content, string $tag ): string {
		return '<div class="fibofilters-pagination woocommerce-pagination"></div>';
	}
}
